This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1291189 - [RFE] Convert ISO domain to data domain
[RFE] Convert ISO domain to data domain
Status: NEW
Product: vdsm
Classification: oVirt
Component: RFEs (Show other bugs)
4.14.0
Unspecified Unspecified
low Severity high (vote)
: ovirt-4.3.0
: ---
Assigned To: Tal Nisan
Raz Tamir
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 04:15 EST by Allon Mureinik
Modified: 2017-09-28 05:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑4.3?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Allon Mureinik 2015-12-14 04:15:19 EST
Looking forwards, we'd want to remove the "special" domain types. The path from iso to data should include:

1. CDA that the domain isn't attached to more than one pool
2. Convert the ISOs to disks with content-type=ISO (see bug 1291177)
3. Upgrade the domain format to V3 (or V4, if we do it)
4. Allow VMs to attach disks with content-type=ISO as CDs
5. Upgrade current VMs definitions to these disks

Note You need to log in before you can comment on or make changes to this bug.